{% extends "cars/base.html" %}

{% block main %}
	{% for message in messages %}
	<div class="row">
		<div class="small-12 column">
			<div class="callout {{ message.tags }}" data-closable>
				<p> {{message}} </p>
				<button class="close-button" aria-label="Dismiss alert" type="button" data-close>
    				<span aria-hidden="true">&times;</span>
  				</button>
			</div>
		</div>
	</div>
	{% endfor %}
	
	{% if car %}
	<div class="row">
		<div class="small-12 column">
			<h3>{{car.title}}</h3>
		</div>
	</div>
	<div class="row">
		<div class="small-3 column text-right">
			<label>Company:</label>
		</div>
		<div class="small-9 column">
			{{car.company}}
		</div>
	</div>
	<div class="row">
		<div class="small-3 column text-right">
			<label>Year:</label>
		</div>
		<div class="small-9 column">
			{{car.year}}
		</div>
	</div>	
	<div class="row">
		<div class="small-3 column text-right">
			<label>Engine type:</label>
		</div>
		<div class="small-9 column">
			{{car.get_engine_type_display}}
		</div>
	</div>	
	<div class="row">
		<div class="small-3 column text-right">
			
		</div>
		<div class="small-9 column">
			<a class="button" href="{{car.link}}" target="_blank">Details</a>
		</div>
	</div>
	<div class="row">
		<div class="small-12 column">
			<div class="button-group">
				<a class="button primary" href="{% url 'car_edit' car_id=car.id%}">Edit</a>
				<a class="button alert" href="{% url 'car_delete' car_id=car.id%}">Delete</a>
			</div>
		</div>
	</div>
	{% endif %}	
	
{% endblock %}
